/*
 * @Author: husanfeng
 * @qq:1136014061
 * @Date: 2018-09-03
 * @Last Modified by: husanfeng
 * @Last Modified time: 2018-09-03
 */
export default class Server {
  constructor(params) {
  }
  _errReporter(error) {
    return { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
  }

  _axios(url, param) {
    return new Promise((resolve) => {
      $axios.post(url, param).then((response) => {
       
        resolve(response);
      }).catch((error) => {
        resolve(this._errReporter(error));
      })
    })
  }


  /**
    * 拉取列表数据
    */
  getAreas(param = {}) {
    return this._axios(`${process.env.API.emsAdminURL}/standardArea/findByPage`, param)
  }
}