/*
 * @Author: husanfeng
 * @qq:1136014061
 * @Date: 2018-09-03
 * @Last Modified by: husanfeng
 * @Last Modified time: 2018-09-03
 */
export default class Server {
  constructor() {
  }
  // 分页查询 - 产品	POST / coa / findPageForProductAll
  // 分页查询 - 关联方	POST / coa / findPageForRelativeAll
  // 分页查询 - 地区	POST / coa / findPageForAreaAll
  // 分页查询 - 专用	POST / coa / findPageForSpecialAll
  // 分页查询 - 备用	POST / coa / findPageForSpareAll

  // 获取产品
  QueryProductAll(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/coa/findPageForProductAll`, param).then((response) => {
        resolve(response);
      })
        .catch((error) => {

          let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        })
    })
  }
  // 获取关联方
  QueryForRelativeAll(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/coa/findPageForRelativeAll`, param).then((response) => {
        resolve(response);
      })
        .catch((error) => {

          let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        })
    })
  }
  // 获取地区
  QueryForAreaAll(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/coa/findPageForAreaAll`, param).then((response) => {
        resolve(response);
      })
        .catch((error) => {

          let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        })
    })
  }
  // 获取专用
  QueryForSpecialAll(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/coa/findPageForSpecialAll`, param).then((response) => {
        resolve(response);
      })
        .catch((error) => {

          let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        })
    })
  }
  // 获取备用

  QueryForSpareAll(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/coa/findPageForSpareAll`, param).then((response) => {
        resolve(response);
      })
        .catch((error) => {

          let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        })
    })
  }
}