/*
 * @Author: husanfeng
 * @qq:1136014061
 * @Date: 2018-09-03
 * @Last Modified by: husanfeng
 * @Last Modified time: 2018-09-03
 */
export default class Server {
  constructor(params) {
  }
  fetchData(url, param = {}) {
    let URI = `${process.env.API.emsBaseDataURL + url}`;
    return new Promise((resolve) => {
      $axios.post(URI, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    });
  }
  /**
   * 城市分页查询
   * @param {Object} param
   */
  query(param = null) {
    return param && this.fetchData('/mdCompany/queryMdCompanyPage', param);
  }
}