export default class Server {
  constructor(params) {}
  fetchData(url, param = {}) {
    let URI = `${process.env.API.budgetManageURL + url}`;
    return new Promise(resolve => {
      $axios
        .post(URI, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务器异常， 请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  }
  //获取主数据列表
  QueryDefineBudgetItemsList(param) {
    return param && this.fetchData("/budgetSubjectController/list/page", param);
  }
}
