export default class Server {
    constructor(param) {

    };
    fetchData(url, param = {}) {
        let URI = `${process.env.API.emsAdminURL + url}`;
        return new Promise((resolve) => {
            $axios.post(URI, param).then((response) => {
                resolve(response);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务器异常， 请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }; 
    // 获取归属公司数组
    GetCompanyList(param) {
        return new Promise((resolve) => {
        $axios.post(`${process.env.API.emsBaseDataURL}/mdCompany/findAllMdCompanyPage`, param).then((response) => {
            resolve(response.data);
        })
            .catch((error) => {
            console.log(error)
            var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
            resolve(responseData);
            })
        })
    };
    //获取主数据列表
    queryServerStandList(param){
        return param && this.fetchData('/businessServerStand/queryBusServerStandPage', param)
    };
    //新增
    createItem(param){
        return param && this.fetchData('/businessServerStand/addBusServerStand', param)
    };
    //编辑
    updateItem(param){
        return param && this.fetchData('/businessServerStand/updateBusServerStand', param)
    };
    //删除
    deleteItem(param){
        return param && this.fetchData(`/businessServerStand/deleteBusServerStand/${param}`, param)
    };
    //批量修改
    batchEdit(param){
        return param && this.fetchData(`/businessServerStand/updateBusServerStandBatch`, param)
    };
    
}