/**
 *  差旅费管理
 * @author changanmin1@crc.com.hk
 */
export default class Server {

  constructor(params) {

  }
  fetchData( url, param = {}) {
    let URI = `${process.env.API.emsAdminURL + url}`;
    return new Promise((resolve) => {
      $axios.post(URI, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    });
  }
  //添加
  add(param = null){
    return param && this.fetchData(`/travelStandard/addTravelStandard`,param);
  }
  //分页查询
  find(param = null) {
    return param && this.fetchData('/travelStandard/queryTravelStandardPage',param);
  }
  // 更新
  update(param = null){
    return param && this.fetchData('/travelStandard/updateTravelStandar',param)
  } 
  //删除{orgCompId}
  del(param = null){
    return param && this.fetchData(`/travelStandard/deleteTravelStandard/${param}`);
  }
  //批量更新 
  updateBatch(param = null){
    return param && this.fetchData('/travelStandard/updateTravelStandarBatch',param)
  } 
}