export default class Server {
    constructor(param) {

    };
    fetchData(url, param = {}) {
        // debugger
        let URI = `${process.env.API.budgetManageURL + url}`;
        return new Promise((resolve) => {
            $axios.post(URI, param).then((response) => {
                resolve(response);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务器异常， 请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }; 
    //获取组织维度列表
    queryBudgetOrgList(param){
        return param && this.fetchData('/budgetStructureController/list/page', param)
    };
    //新增、编辑组织维度
    saveAllDimensionItems(param){
        return param && this.fetchData('/budgetStructureController/saveStructure', param)
    };
    //获取维度类型列表
    queryDimensionTypeList(param){
        return param && this.fetchData(`/budgetDimensionController/list`, param)
    };
    //获取组织维度动态列维度
    queryDimensionList(param){
        return param && this.fetchData(`/budgetDimensionController/list/segment`, param)
    };
    //获取组织维度分页列表
    queryDimensionEditList(param){
        return param && this.fetchData(`/codeCombinationController/list/page`, param)
    };


    //保存表单头
    saveForm(param){
        return param && this.fetchData(`/budgetStructureController/save`, param)
    };
    //获取表单头详情
    getFormDetail(param){
        return param && this.fetchData(`/budgetStructureController/find/${param}`, param)
    };


    //分页查询预算科目列表
    querySubjectEditList(param){
        return param && this.fetchData(`/budgetDimensionSubjectController/list/page`, param)
    };
    //新增、编辑预算科目
    saveSubjectList(param){
        return param && this.fetchData(`/budgetStructureController/saveSubject`, param)
    };
    





    //获取控制方式详情
    getItemDetail(param){
        return param && this.fetchData(`/budgetDimensionController/find/${param}`, param)
    };
}