export default class Server {
    constructor(param) {

    };
    fetchData(url, param = {}) {
        // debugger
        let URI = `${process.env.API.budgetManageURL + url}`;
        return new Promise((resolve) => {
            $axios.post(URI, param).then((response) => {
                resolve(response);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务器异常， 请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }; 
    //获取主数据列表
    querySummaryTemplateList(param){
        return param && this.fetchData('/budgetSummaryController/list/page', param)//ok
    };
    //获取组织维度列表
    queryBudgetOrgList(param){
        return param && this.fetchData('/budgetSummaryController/selectStructureSelected/list/page', param)//过滤掉已用数据
        // return param && this.fetchData('/budgetStructureController/list/page', param)//未过滤掉已用数据
    };
    
    //获取动态维度数组
    queryDimensionDynamicList(param){
        return param && this.fetchData(`/budgetSummaryController/findDimensionCombination/${param}`, param)//ok
    };
    //保存新增数据
    saveAllDimensionItems(param){
        return param && this.fetchData(`/budgetSummaryController/save`, param)//ok
    };
    //获取单条记录明细
    queryListDetail(param){
        return param && this.fetchData(`/budgetSummaryController/viewTemplate/list/page/${param}`, param)//ok
    };



    //第三个页面列表
    queryDetail(param){
        return param && this.fetchData(`/budgetSummaryController/detail/list/page`, param)//ok
    };
    //第三个页面列表保存
    saveMainTainList(param){
        return param && this.fetchData(`/budgetSummaryController/updateSummaryDetail`, param)//ok
    };


    //维护汇总维度组合列表分页查询
    queryMainTainList(param){
        return param && this.fetchData('/budgetSummaryController/detail/list/page', param)
    };
    
    




}