/**
 *  差旅费管理
 * @author changanmin1@crc.com.hk
 */
export default class Server {

  constructor(params) {

  }
  fetchData( url, param = {}) {
    let URI = `${process.env.API.baseURL + url}`;
    return new Promise((resolve) => {
      $axios.post(URI, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    });
  }
  //兼容通用开发平台分页接口
  fetchData1( url, param = {}) {
    debugger
    param.commonPageDTO = param.page
    let params = Object.entries(param.params)
    for(let item of params){
    //  let str =  item[0]
     param[item[0]] = item[1]
    }
    let URI = `${process.env.API.baseURL + url}`;
    return new Promise((resolve) => {
      $axios.post(URI, param).then((response) => {
          let list = [];
          let data = {};
          if(response.data.dataResult.length < 1){//无数据
            data.total = 0;
            data.pageNum = 0;
            data.list = [];
            resolve({data});
            return
          }
          if(!response.data.dataResult.recordList && response.data.dataResult.length > 0){
            for(let item of response.data.dataResult){
              list.push(item);
            }
          }else{
            for(let item of response.data.dataResult.recordList){
              list.push(item);
            }
          }
          data = response.data.dataResult;
          data.list = list;
          data.total = response.data.dataResult.recordCount ? response.data.dataResult.recordCount : 1;
          data.pageNum = response.data.dataResult.currentPage ? response.data.dataResult.currentPage : 0;
          resolve({data});
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    });
  }
  //分页查询移动页面配置数据
  QueryDefaultMenusList(param = null) {
    return param && this.fetchData1('/sys/menuhome/queryhomeForRole',param);
  }
  //分页查询移动页面配置数据
  insertMenu(param = null) {
    return param && this.fetchData('/sys/menuhome/insertHomeForRole',param);
  }
  //分页查询所有角色
  QueryRoleList(param = null) {
    return param && this.fetchData1('/sys/role/list/page',param);
  }
  //根据角色查菜单
  queryMenuByRoleId(param = null){
    return param && this.fetchData1(`/sys/role/menus?roleId=${param.params}`,param);
  }
  //根据角色查菜单
  deleteDefaultMenu(param = null){
    return param && this.fetchData(`/sys/menuhome/deletehomeForRole`,param);
  }
  
}