export default class Server {
  constructor(params) {
  }
  /**
   * 分页查询核算版本数据
   */
  QueryFindFmsVersionList(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAdminURL}/fmsVersion/findFmsVersionList`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
  /**
  * 新增核算版本数据
  */
  AddFindFmsVersionList(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAdminURL}/fmsVersion/addFMSVersion`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
  /**
   * 编辑核算版本数据
   */
  EditFinancialMaintenanceList(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAdminURL}/fmsVersion/updateFMSVersion`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
  /**
   * 删除核算版本数据
   */
  DeleteFinancialMaintenanceList(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAdminURL}/fmsVersion/deleteFMSVersion/${param}`, {}).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
}