export default class Server {
  constructor(params) {
  }
  /**
   * 分页查询个人地区码补充维护列表
   */
  QueryCodeSupplementaryMaintenanceList(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/vendor/findUserAreaList`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
  /**
  * 编辑人地区码补充维护列表
  */
  EditCodeSupplementaryMaintenanceList(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsBaseDataURL}/vendor/updateUserArea`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
}