import Mock from 'mockjs'

import getPaymentTableDatas from "./getPaymentTableDatas"
import getSettingByAccountingAgency from "./getSettingByAccountingAgency"
import delSetting from "./delSetting"

// 删除付款配置 可批量
Mock.mock(`${process.env.API.emsPaymentUrl}/delSetting`, delSetting)

// 付款权限列表
Mock.mock(`${process.env.API.emsPaymentUrl}/getPaymentTableDatas`, getPaymentTableDatas)

// 根据核算机构查询权限配置
Mock.mock(`${process.env.API.emsPaymentUrl}/getSettingByAccountingAgency`, getSettingByAccountingAgency)