/**
 *  差旅费管理
 * @author changanmin1@crc.com.hk
 */
export default class Server {

  constructor(params) {

  }
  fetchData( url, param = {}) {
    let URI = `${process.env.API.claimURL + url}`;
    return new Promise((resolve) => {
      $axios.post(URI, param).then((response) => {
        resolve(response.data);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    });
  }
  //分页查询移动页面配置数据
  QueryMobilePageConfigList(param = null) {
    return param && this.fetchData('/DeviceApproveConfigController/findByTemplateWithPage',param);
  }
  //添加模板
  addTemplate(param = null){
    return param && this.fetchData(`/DeviceApproveConfigController/addTemplate`,param);
  }
  //编辑模板
  UpdateTemplate(param = null){
    return param && this.fetchData(`/DeviceApproveConfigController/updateTemplate`,param);
  }
  //删除模板
  delTemplate(param = null){
    return param && this.fetchData(`/DeviceApproveConfigController/deleteByTemplateId/${param}`);
  }
  //分页查询配置列表
  QueryConfigPage(param = null){
    return param && this.fetchData(`/DeviceApproveConfigController/findConfigByTemplateIdWithPage`,param)
  } 

  // fetchData1( url, param = {}) {
  //   let URI = `${process.env.API.claimURL + url}`;
  //   return new Promise((resolve) => {
  //     debugger
  //     $axios.post(URI, param.params).then((response) => {
  //       resolve(response.data);
  //     }).catch((error) => {
  //       let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
  //       resolve(responseData);
  //     })
  //   });
  // }
  //新增配置
  addConfig(param = null){
    return param && this.fetchData('/DeviceApproveConfigController/addConfig',param)
  } 
  //编辑配置
  editConfig(param = null){
    return param && this.fetchData('/DeviceApproveConfigController/updateConfig',param)
  } 
  //继续新增、编辑配置
  goOnAddOrUpdate(param = null){
    return param && this.fetchData('/DeviceApproveConfigController/isGoingOn',param)
  } 
  //删除配置
  deleteConfig(param = null){
    return param && this.fetchData(`/DeviceApproveConfigController/deleteByConfigId/${param}`,param)
  } 
}