/*
 * @Author: husanfeng
 * @qq:1136014061
 * @Date: 2018-09-03
 * @Last Modified by: husanfeng
 * @Last Modified time: 2018-09-03
 */
export default class Server {
  constructor(params) {
  }
  /**
   * 分页查询
   */
  QueryApprovalRuleList(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAdminURL}/approvalRulesHeadController/selectApprovalRulesHeadPage`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
  /**
   * 保存数据
   */
  saveAllItems(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAdminURL}/approvalRulesHeadController/insertApprovalRulesHeadline`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
  /**
 * 获取编辑数据详情
 */
  getItemDetail(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAdminURL}/approvalRulesHeadController/selectAppRovalRulesheadLine`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
  /**
* 删除主页行数据
*/
  deleteMainPageLine(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAdminURL}/approvalRulesHeadController/deleteApprovalRulesHead`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
  /**
* 删除明细页行数据
*/
deleteLineData(param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAdminURL}/approvalRulesLineController/deleteApprovalRulesLine`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
}