const webpackMerge = require('webpack-merge')
const devConfig = require('./webpack.dev.config.js')

module.exports = webpackMerge.smart(devConfig, {
  devServer: {
    proxy: {
      '/mams-rest/*': {
        target: 'http://10.0.221.172/ems',
        secure: false,
        changeOrigin: true
      },
      '/ems-claim/*': {
        // 开发人员无网关
        // target: 'http://10.52.226.164:7001',
        // pathRewrite: { "^/ems-claim": "" },
        target: 'http://10.0.221.172/ems',
        secure: false,
        changeOrigin: true,
        // pathRewrite: {
        //   '^/ems-claim': '/'
        // }
      },
      '/ems-base-data/*': {
        target: 'http://10.0.221.172/ems',
        secure: false,
        changeOrigin: true,
        // pathRewrite: {
        //   '^/ems-base-data': '/'
        // }
      },
      '/biz-m-rest/*': {
        target: 'http://10.0.221.172/ems',
        secure: false,
        changeOrigin: true
      },
      '/org-arch-web/*': {
        target: 'http://10.0.221.172/ems',
        secure: false,
        changeOrigin: true
      },
      '/ems-process-service/*': {
        // 开发人员无网关
        // target: 'http://10.52.226.176:9970',
        // pathRewrite: { "^/ems-process-service": "" },

        // 测试环境
        target: 'http://10.0.221.172/ems',
        secure: false,
        changeOrigin: true,

      },
      '/ems-accountant-job-pool/*': {
        // 开发人员无网关
        // target: 'http://10.52.226.22:7003',
        // pathRewrite: { "^/ems-process-service": "" },

        // 测试环境
        target: 'http://10.0.221.172/ems',
        secure: false,
        changeOrigin: true,
        // pathRewrite: { "^/ems-accountant-job-pool": "" },

      },
      '/ems-payment/*': {
        // 开发人员无网关
        // target: 'http://10.52.226.22:7003',
        // pathRewrite: { "^/ems-process-service": "" },

        // 测试环境
        target: 'http://10.0.221.172/ems',
        secure: false,
        changeOrigin: true,
      },
      // '/ems-payment/*': {
      //   // 开发人员无网关
      //   // target: 'http://10.52.226.22:7003',
      //   // pathRewrite: { "^/ems-process-service": "" },

      //   // 测试环境
      //   target: 'http://10.0.221.173:7001',
      //   secure: false,
      //   changeOrigin: true,
      // },
      // 后台管理中心
      '/ems-admin/*': {
        // 开发人员无网关
        // target: 'http://10.54.24.23:7002',
        // pathRewrite: { "^/ems-admin": "" },

        // 测试环境
        target: 'http://10.0.221.172/admin',
        secure: false,
        changeOrigin: true,
        // pathRewrite: {
        //   '^/ems-admin': '/'
        // }
      },
      // 预算
      '/ems-budget/*': {
        // 测试环境
        target: 'http://10.0.221.172/ems',
        secure: false,
        changeOrigin: true,
      },
      '*': {
        target: 'http://10.0.221.172/ems',
        secure: false,
        changeOrigin: true
      },
    }
  }
})