/*
 * @Author: husanfeng
 * @qq:1136014061
 * @Date: 2018-09-03
 * @Last Modified by: Anmin
 * @Last Modified time: 2018-12-25 17:22:01
 */
export default class Server {

  constructor() {
  }

  /**
    * 查询初始化的三层组织信息
    */
  queryAllBusinessType() {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAdminURL}/category/buildCategoryTree`, {}).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        })
    })
  }
  /**
    * 根据名称查询
    */
  queryBusinessTypeForName(param) {
    return new Promise((resolve) => {
      // $axios.post(`${process.env.API.emsAdminURL}/category/buildCategoryTreeCategoryName/${param}`, {}).then((response) => {
      $axios.post(`${process.env.API.emsAdminURL}/category/buildCategoryTreeByCondition`, param).then((response) => {
        resolve(response.data);
      })
        .catch((error) => {
          let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
          resolve(responseData);
        })
    })
  }
}