let emsAdminRouter = [
  // 流程配置：审批限额
  // 权限管理：组织管理
  {
    path: 'business-bigclass-manage',
    name: 'business-bigclass-manage',
    title: '业务大类管理',
    component: resolve => { require(['./views/ems/basicDataManage/businessBigClassManage/Index.vue'], resolve); }

  },
  {
    path: 'biz-bigclass-menu-manage',
    name: 'biz-bigclass-menu-manage',
    title: '业务大类菜单管理',
    component: resolve => { require(['./views/ems/basicDataManage/businessBigClassMenuManage/Index.vue'], resolve); }

  },
  {
    path: 'business-samllclass',
    name: 'business-samllclass',
    title: '业务小类',
    component: resolve => { require(['./views/ems/basicDataManage/businessSmallClass/Index.vue'], resolve); }
  },
  {
    path: 'city-manage',
    name: 'city-manage',
    title: '城市管理',
    component: resolve => { require(['./views/ems/basicDataManage/cityManage/Index.vue'], resolve); }
  },
  {
    path: 'bdm-travel-standard',
    name: 'bdm-travel-standard',
    title: '差旅费管理',
    component: resolve => { require(['./views/ems/basicDataManage/travelStandard/Index.vue'], resolve); }
  },
  {
    path: 'access-authorization',
    name: 'access-authorization',
    title: '用户对组织访问授权管理',
    component: resolve => { require(['./views/ems/basicDataManage/userToOrgAccessAuthorization/Index.vue'], resolve); }
  },
  {
    path: 'hospitality-fee',
    name: 'hospitality-fee',
    title: '业务招待费标准配置',
    component: resolve => { require(['./views/ems/basicDataManage/hospitalityFeeConfig/Index.vue'], resolve); }
  },
  {
    path: 'basicdata-import',
    name: 'basicdata-import',
    title: '基础数据导入',
    component: resolve => { require(['./views/ems/basicDataManage/basicDataImport/index.vue'], resolve); }
  },
  {
    path: 'mdm-accounting-system-manage',
    name: 'mdm-accounting-system-manage',
    title: '核算系统版本管理',
    component: resolve => { require(['./views/ems/masterDataManage/accountingSystemManage/Index.vue'], resolve); }
  },
  {
    path: 'mdm-agency-company-dep-setup',
    name: 'mdm-agency-company-dep-setup',
    title: '代报部门公司设置',
    component: resolve => { require(['./views/ems/masterDataManage/agencyCompanyDep/Index.vue'], resolve); }
  },
  {
    path: 'mdm-code-supplementary-maintenance',
    name: 'mdm-code-supplementary-maintenance',
    title: '个人地区码补充维护',
    component: resolve => { require(['./views/ems/masterDataManage/codeSupplementaryMaintenance/Index.vue'], resolve); }
  },
  {
    path: 'mdm-financial-supplementary-maintenance',
    name: 'mdm-financial-supplementary-maintenance',
    title: '个人财务属性补充维护',
    component: resolve => { require(['./views/ems/masterDataManage/financialSupplementaryMaintenance/Index.vue'], resolve); }
  },
  {
    path: 'mdm-accounting-subject-manage',
    name: 'mdm-accounting-subject-manage',
    title: '会计科目管理',
    component: resolve => { require(['./views/ems/masterDataManage/accountingSubjectManage/Index.vue'], resolve); }
  },
  {
    path: 'mdm-cost-center-manage',
    name: 'mdm-cost-center-manage',
    title: '成本中心管理',
    component: resolve => { require(['./views/ems/masterDataManage/costCenterManage/Index.vue'], resolve); }
  },
  {
    path: 'payment-platform-setting',
    name: 'payment-platform-setting',
    title: '付款工作台配置',
    component: resolve => { require(['./views/ems/masterDataManage/paymentPlatformSetting/Index.vue'], resolve); }
  },
  {
    path: 'mdm-project-information-manage',
    name: 'mdm-project-information-manage',
    title: '项目信息管理',
    component: resolve => { require(['./views/ems/masterDataManage/projectInformationManage/Index.vue'], resolve); }
  },
  {
    path: 'mdm-other-COA-value',
    name: 'mdm-other-COA-value',
    title: '其他COA值集',
    component: resolve => { require(['./views/ems/masterDataManage/otherCOAvalue/Index.vue'], resolve); }
  },
  {
    path: 'mdm-exchange-rate-manage',
    name: 'mdm-exchange-rate-manage',
    title: '汇率管理',
    component: resolve => { require(['./views/ems/masterDataManage/exchangeRateManage/Index.vue'], resolve); }
  },
  {
    path: 'mdm-tax-rate-manage',
    name: 'mdm-tax-rate-manage',
    title: '税率管理',
    component: resolve => { require(['./views/ems/masterDataManage/taxRateManage/Index.vue'], resolve); }
  },
  {
    path: 'mdm-supplier-manage',
    name: 'mdm-supplier-manage',
    title: '供应商管理',
    component: resolve => { require(['./views/ems/masterDataManage/supplierManage/Index.vue'], resolve); }
  },
  {
    path: 'mdm-payment-bank-account-manage',
    name: 'mdm-payment-bank-account-manage',
    title: '付款银行账号管理',
    component: resolve => { require(['./views/ems/masterDataManage/paymentBankAccountManage/Index.vue'], resolve); }
  },
  {
    path: 'mdm-mechanism-value',
    name: 'mdm-mechanism-value',
    title: '机构值',
    component: resolve => { require(['./views/ems/masterDataManage/mechanismValue/Index.vue'], resolve); }
  },
  {
    path: 'wfc-audit-config',
    name: 'wfc-audit-config',
    title: '审核人配置',
    component: resolve => { require(['./views/ems/workflowConfig/auditConfig/Index.vue'], resolve); }
  },

  {
    path: 'aum-org-manage',
    name: 'aum-org-manage',
    title: '组织弹性域管理',
    component: resolve => { require(['./views/ems/authorityManage/orgManage/Index.vue'], resolve); }
  },
  //作废
  // {
  //     path: 'wfc-approval-limit-config',
  //     name: 'wfc-approval-limit-config',
  //     title: '审批限额配置',
  //     component: resolve => { require(['./views/ems/workflowConfig/approvalLimitConfig/Index.vue'], resolve); }
  // },
  {
    path: 'wfc-approval-rule-config',
    name: 'wfc-approval-rule-config',
    title: '审批规则配置',
    component: resolve => { require(['./views/ems/workflowConfig/approvalRuleConfig/Index.vue'], resolve); }
  },
  {
    path: 'define-control-mode',
    name: 'define-control-mode',
    title: '定义控制方式',
    component: resolve => { require(['./views/ems/budgetManage/defineControlMode/Index.vue'], resolve); }
  },
  {
    path: 'define-org-dimension',
    name: 'define-org-dimension',
    title: '定义组织维度',
    component: resolve => { require(['./views/ems/budgetManage/defineOrgDimension/Index.vue'], resolve); }
  },
  {
    path: 'define-org-type',
    name: 'define-org-type',
    title: '定义组织类型',
    component: resolve => { require(['./views/ems/budgetManage/defineOrgType/Index.vue'], resolve); }
  },
  {
    path: 'define-budget-items',
    name: 'define-budget-items',
    title: '定义预算科目',
    component: resolve => { require(['./views/ems/budgetManage/defineBudgetItems/Index.vue'], resolve); }
  },
  {
    path: 'define-budget-org',
    name: 'define-budget-org',
    title: '定义预算组织',
    component: resolve => { require(['./views/ems/budgetManage/defineBudgetOrg/Index.vue'], resolve); }
  },
  {
    path: 'define-summary-template',
    name: 'define-summary-template',
    title: '定义汇总模板',
    component: resolve => { require(['./views/ems/budgetManage/defineSummaryTemplate/Index.vue'], resolve); }
  },
  {
    path: 'define-calendar',
    name: 'define-calendar',
    title: '定义日历',
    component: resolve => { require(['./views/ems/budgetManage/defineCalendar/Index.vue'], resolve); }
  },
  {
    path: 'define-budget',
    name: 'define-budget',
    title: '定义预算',
    component: resolve => { require(['./views/ems/budgetManage/defineBudget/Index.vue'], resolve); }
  },
  {
    path: 'query-count',
    name: 'query-count',
    title: '查询统计',
    component: resolve => { require(['./views/ems/budgetManage/queryCount/Index.vue'], resolve); }
  },
  {
    path: 'budget-import',
    name: 'budget-import',
    title: '月度预算导入',
    component: resolve => { require(['./views/ems/budgetManage/budgetImport/Index.vue'], resolve); }
  },
  {
    path: 'budget-import-year',
    name: 'budget-import-year',
    title: '年度预算导入',
    component: resolve => { require(['./views/ems/budgetManage/budgetImport/Index.vue'], resolve); }
  },
  {
    path: 'budget-adjust',
    name: 'budget-adjust',
    title: '月度预算调整',
    component: resolve => { require(['./views/ems/budgetManage/budgetAdjust/Index.vue'], resolve); }
  },
  {
    path: 'budget-adjust-year',
    name: 'budget-adjust-year',
    title: '年度预算调整',
    component: resolve => { require(['./views/ems/budgetManage/budgetAdjust/Index.vue'], resolve); }
  },
  {
    path: 'budget-history',
    name: 'budget-history',
    title: '预算调整历史留痕',
    component: resolve => { require(['./views/ems/budgetManage/budgetHistory/Index.vue'], resolve); }
  },
  {
    path: 'mobile-page-configuration',
    name: 'mobile-page-configuration',
    title: '移动页面配置',
    component: resolve => { require(['./views/ems/mobilePageConfig/mobilePageConfig/TemplateIndex.vue'], resolve); }
  },
  {
    path: 'default-shortcut-config',
    name: 'default-shortcut-config',
    title: '默认快捷功能配置',
    component: resolve => { require(['./views/ems/defaultMenuConfig/defaultMenuConfig/Index.vue'], resolve); }
  },
  {
    path: 'mdm-vendor-block-list',
    name: 'mdm-vendor-block-list',
    title: '查询黑名单公司列表',
    component: resolve => { require(['./views/ems/masterDataManage/vendorBlackList/index.vue'], resolve); }
  }
];

export {
  emsAdminRouter
}