export default class Server {
    constructor(param) {

    };
    fetchData(url, param = {}) {
        let URI = `${process.env.API.emsAdminURL + url}`;
        return new Promise((resolve) => {
            $axios.post(URI, param).then((response) => {
                resolve(response);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务器异常， 请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }; 
    //获取主数据列表
    queryAccessAuthorization(param){
        return param && this.fetchData('/tsUserOrg/findListByPage', param)
    };
    //新增
    addItem(param){
        return param && this.fetchData('/tsUserOrg/insert', param)
    };
    //更新
    updateItem(param){
        return param && this.fetchData('/tsUserOrg/update', param)
    };
    //删除
    deleteItem(param){
        return param && this.fetchData(`/tsUserOrg/delete/${param}`, param)
    };
    
}