export default class Server {
    constructor(param) {

    };
    //获取列表数据
    GetCompanyList(param){
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsBaseDataURL}/mdCompany/findAllMdCompanyPage`, param).then((response) => {
                resolve(response);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务器异常， 请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    };
    fetchData(url, param = {}) {
        let URI = `${process.env.API.budgetManageURL + url}`;
        return new Promise((resolve) => {
            $axios.post(URI, param).then((response) => {
                resolve(response);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务器异常， 请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }; 
    //分页查询预算模板
    queryBudgetTemplateList(param){
        return param && this.fetchData('/budgetTemplateController/list/page', param)
    };
}