export default class Server {
    constructor(param) {

    };
    fetchData(url, param = {}) {
        let URI = `${process.env.API.budgetManageURL + url}`;
        return new Promise((resolve) => {
            $axios.post(URI, param).then((response) => {
                resolve(response);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务器异常， 请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }; 
    //获取主数据列表
    QueryDefineBudgetItemsList(param){
        return param && this.fetchData('/budgetSubjectController/list/page', param)
    };
    //新增、编辑
    saveItem(param){
        return param && this.fetchData('/budgetSubjectController/save', param)
    };
    // //删除
    // deleteItems(param){
    //     return param && this.fetchData(`/budgetStrategyController/delete/${param}`, param)
    // };
    //获取控制方式详情
    getItemDetail(param){
        return param && this.fetchData(`/budgetSubjectController/find/${param}`, param)
    };
}