export default class Server {
    constructor(param) {

    };
    fetchData(url, param = {}) {
        // debugger
        let URI = `${process.env.API.budgetManageURL + url}`;
        return new Promise((resolve) => {
            $axios.post(URI, param).then((response) => {
                resolve(response);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务器异常， 请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }; 
    //获取主数据列表
    queryCalendarList(param){
        return param && this.fetchData('/budgetCalendarController/list/page', param)
    };
    //新增、编辑
    saveAllItems(param){
        return param && this.fetchData('/budgetCalendarController/save', param)
    };
    //获取维度类型列表
    queryDimensionTypeList(param){
        return param && this.fetchData(``, param)
    };
    //获取头部详情
    getItemHeadDetail(param){
        return param && this.fetchData(`/budgetCalendarController/edit/${param}`, param)
    };
    //获取分页列表数据
    getItemListDetail(param){
        return param && this.fetchData(`/budgetCalendarController/select/periods`, param)
    };
}