export default class Server {
    constructor(param) {

    };
    //获取列表数据
    getDefineBudgetModeList(param){
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.budgetManageURL}/budgetStrategyController/list/page`, param).then((response) => {
                // let list = [];
                // debugger
                // if(!!response.data){
                //     response.data.map((item) => {
                //         list.push(Object.assign({}, item));
                //     });
                // }
                // console.log({list})
                resolve(response);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务器异常， 请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    };
    fetchData(url, param = {}) {
        let URI = `${process.env.API.budgetManageURL + url}`;
        return new Promise((resolve) => {
            $axios.post(URI, param).then((response) => {
                resolve(response);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务器异常， 请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }; 
    //新增、编辑
    saveItem(param){
        return param && this.fetchData('/budgetStrategyController/save', param)
    };
    //删除
    deleteItems(param){
        return param && this.fetchData(`/budgetStrategyController/delete/${param}`, param)
    };
    //获取控制方式详情
    getControlDetail(param){
        return param && this.fetchData(`/budgetStrategyController/query/${param}`, param)
    };
}