export default class Server {
    constructor(param) {

    };
    fetchData(url, param = {}) {
        // debugger
        let URI = `${process.env.API.budgetManageURL + url}`;
        return new Promise((resolve) => {
            $axios.post(URI, param).then((response) => {
                resolve(response);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务器异常， 请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }; 
    //获取主数据列表
    queryDimensionOrgList(param){
        return param && this.fetchData('/budgetDimensionController/list/page', param)
    };
    //新增、编辑
    saveItem(param){
        return param && this.fetchData('/budgetDimensionController/save', param)
    };
    //获取维度数据
    queryDimension(param){
        return param && this.fetchData(`/budgetDimensionDefinitionController/list`, param)
    };
    //获取控制方式详情
    getItemDetail(param){
        return param && this.fetchData(`/budgetDimensionController/find/${param}`, param)
    };
}