export default class Server {
  constructor(params) {
  }
  /**
   * 分页条件查询个人财务属性数据
   */
  QueryFinancialMaintenanceList(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAdminURL}/financeManage/getuserFinancePage`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
  /**
   * 编辑
   */
  EditFinancialMaintenanceList(param = {}) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.emsAdminURL}/financeManage/saveUserFinance`, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    })
  }
}