/**
 *  主数据 --> 付款银行账户管理
 * @author changanmin1@crc.com.hk
 */
export default class Server {

  constructor(params) {

  }
  fetchData( url, param = {}) {
    let URI = `${process.env.API.emsBaseDataURL + url}`;
    return new Promise((resolve) => {
      $axios.post(URI, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    });
  }
   
  //分页查询
  find(param = null) {
    return param && this.fetchData('/mdBank/findMdBankListByCondition',param);
  }
  // 更新
  detail(param = null){
    return param && this.fetchData('/mdBank/updateMdBank',param)
  } 
}