/*
 * @Author: Anmin 
 * @Email:changanmin1@crc.com.hk 
 * @Date: 2019-01-03 14:39:32 
 * @Last Modified by:   Anmin 
 * @Last Modified time: 2019-01-03 14:39:32 
 * @description:  *  主数据 --> 查询供应商黑名单列表
 */ 
export default class Server {

  constructor(params) {

  }
  fetchData( url, param = {}) {
    let URI = `${process.env.API.emsBaseDataURL + url}`;
    return new Promise((resolve) => {
      $axios.post(URI, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    });
  }
   
  //分页查询
  find(param = null) {
    return param && this.fetchData(`/invoiceBlackList/findBlackList`,param);
  } 
}