/**
 *  流程管理 --> 审核人配置
 * @author changanmin1@crc.com.hk
 */
export default class Server {

  constructor(params) {

  }
  fetchData( url, param = {}) {
    let URI = `${process.env.API.emsAdminURL + url}`;
    return new Promise((resolve) => {
      $axios.post(URI, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    });
  }
  //添加
  add(param = null){
    return param && this.fetchData(`/auditConfig/addAuditConfig`,param);
  }
  //分页查询
  find(param = null) {
    return param && this.fetchData('/auditConfig/queryAuditConfigPage',param);
  }
  // 更新
  update(param = null){
    return param && this.fetchData('/auditConfig/updateAuditConfig',param)
  } 
  //删除
  del(param = null){
    return param && this.fetchData(`/auditConfig/deleteAuditConfig/${param}`);
  }
  //批量更新
  updateMore(param = null){
    return param && this.fetchData(`/auditConfig/updateAuditConfigBatch`,param);
  }
}